org.apache.lucene.search

## Class FilterClause

- java.lang.Object
- - org.apache.lucene.search.FilterClause

- All Implemented Interfaces:
    java.io.Serializable

      public class FilterClause
      extends java.lang.Object
      implements java.io.Serializable

  A Filter that wrapped with an indication of how that filter is used when composed with another filter. (Follows the boolean logic in BooleanClause for composition of queries.)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterClause(Filter filter, BooleanClause.Occur occur)` Create a new FilterClause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Filter` | `getFilter()` Returns this FilterClause's filter
    `BooleanClause.Occur` | `getOccur()` Returns this FilterClause's occur parameter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterClause

          public FilterClause(Filter filter,
                              BooleanClause.Occur occur)

      Create a new FilterClause
      Parameters:
        `filter` - A Filter object containing a BitSet
        `occur` - A parameter implementation indicating SHOULD, MUST or MUST NOT

  - ### Method Detail

    - #### getFilter

          public Filter getFilter()

      Returns this FilterClause's filter
      Returns:
        A Filter object

    - #### getOccur

          public BooleanClause.Occur getOccur()

      Returns this FilterClause's occur parameter
      Returns:
        An Occur object

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.